Subject: Re: linux-next: build failure after merge of the crypto tree

From: Zhou Wang <[email-masked]>
Date: Mon, 12 Aug 2019 14:53:49 +0800

On 2019/8/12 11:21, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the crypto tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/crypto/hisilicon/qm.c: Assembler messages:
> drivers/crypto/hisilicon/qm.c:334: Error: no such instruction: `ldp %rdx,%rcx,%bl'
> drivers/crypto/hisilicon/qm.c:335: Error: no such instruction: `stp %rdx,%rcx,%al'
> drivers/crypto/hisilicon/qm.c:336: Error: number of operands mismatch for `ds'
> 
> Caused by commit
> 
>   62c455ca853e ("crypto: hisilicon - add HiSilicon ZIP accelerator support")
> 
> I also got the following warnings:

Sorry for this. Will add dependency on ARM64 for CRYPTO_DEV_HISI_ZIP

> 
> WARNING: unmet direct dependencies detected for CRYPTO_DEV_HISI_QM
>   Depends on [n]: CRYPTO [=y] && CRYPTO_HW [=y] && ARM64 && PCI [=y] && PCI_MSI [=y]
>   Selected by [m]:
>   - CRYPTO_DEV_HISI_ZIP [=m] && CRYPTO [=y] && CRYPTO_HW [=y]
> 
> WARNING: unmet direct dependencies detected for CRYPTO_HISI_SGL
>   Depends on [n]: CRYPTO [=y] && CRYPTO_HW [=y] && ARM64
>   Selected by [m]:
>   - CRYPTO_DEV_HISI_ZIP [=m] && CRYPTO [=y] && CRYPTO_HW [=y]
> 
> WARNING: unmet direct dependencies detected for CRYPTO_DEV_HISI_QM
>   Depends on [n]: CRYPTO [=y] && CRYPTO_HW [=y] && ARM64 && PCI [=y] && PCI_MSI [=y]
>   Selected by [m]:
>   - CRYPTO_DEV_HISI_ZIP [=m] && CRYPTO [=y] && CRYPTO_HW [=y]
> 
> WARNING: unmet direct dependencies detected for CRYPTO_HISI_SGL
>   Depends on [n]: CRYPTO [=y] && CRYPTO_HW [=y] && ARM64
>   Selected by [m]:
>   - CRYPTO_DEV_HISI_ZIP [=m] && CRYPTO [=y] && CRYPTO_HW [=y]
> 
> WARNING: unmet direct dependencies detected for CRYPTO_DEV_HISI_QM
>   Depends on [n]: CRYPTO [=y] && CRYPTO_HW [=y] && ARM64 && PCI [=y] && PCI_MSI [=y]
>   Selected by [m]:
>   - CRYPTO_DEV_HISI_ZIP [=m] && CRYPTO [=y] && CRYPTO_HW [=y]
> 
> WARNING: unmet direct dependencies detected for CRYPTO_HISI_SGL
>   Depends on [n]: CRYPTO [=y] && CRYPTO_HW [=y] && ARM64
>   Selected by [m]:
>   - CRYPTO_DEV_HISI_ZIP [=m] && CRYPTO [=y] && CRYPTO_HW [=y]
> drivers/crypto/hisilicon/sgl.c: In function 'hisi_acc_sg_buf_map_to_hw_sgl':
> drivers/crypto/hisilicon/sgl.c:181:14: warning: 'curr_sgl_dma' may be used uninitialized in this function [-Wmaybe-uninitialized]
>   *hw_sgl_dma = curr_sgl_dma;
>   ~~~~~~~~~~~~^~~~~~~~~~~~~~

I will fix this.

> 
> This latter from commit
> 
>   dfed0098ab91 ("crypto: hisilicon - add hardware SGL support")
> 
> I have disabled CRYPTO_DEV_HISI_ZIP for now.  You should not select
> CONFIG options that have dependencies (without also depending on the
> same things and being very careful).
>